%define pre rc2

Name: obexfs
Summary: FUSE based filesystem using ObexFTP
Group: System Environment/Base
Version: 0.11
Release: 0.1.%{pre}%{?dist}
License: GPLv2+
URL: http://openobex.triq.net/
Source: http://triq.net/obexftp/%{name}-%{version}-%{pre}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -u -n)
BuildRequires: obexftp-devel >= 0.22
BuildRequires: openobex-devel >= 1.2
BuildRequires: fuse-devel

%description
The ObexFS driver is a wrapper for ObexFTP to provide filesystem access
to mobile phones.

%prep
%setup -q

%build
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/obexautofs
%{_bindir}/obexfs

%changelog
* Mon Aug 27 2007 Dominik Mierzejewski <rpm@greysector.net> - 0.11-0.1.rc2
- initial build
